Skip to content

Determine whether the user is in a certain department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Use the organization code and department ID to determine whether the user is in a certain department, and you can choose to include sub-departments.

Method name

ManagementClient.is_user_in_department

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
userIdstringYes-The unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
organizationCodestringyes-Organization codesteamory
departmentIdstringyes-Department ID, pass root for the root department. Either departmentId or departmentCode must be passed.root
departmentIdTypestringnodepartment_idThe type of department ID used in this calldepartment_id
includeChildrenDepartmentsbooleanno-Whether to include child departments
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: IsUserInDepartmentRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsUserInDepartmentDataDtodata

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "inDepartment": true
  }
}

Data Structure

IsUserInDepartmentDataDto

NameTypeIs it requiredDescriptionExample value
inDepartmentbooleanyesin this departmenttrue

Agent infrastructure for identity, memory, and web action.